Rapid7 Vulnerability & Exploit Database

MFSA2015-69 Firefox: Privilege escalation through internal workers (CVE-2015-2743)

Back to Search

MFSA2015-69 Firefox: Privilege escalation through internal workers (CVE-2015-2743)

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
07/05/2015
Created
07/25/2018
Added
07/08/2015
Modified
04/05/2017

Description

PDF.js in Mozilla Firefox before 39.0 and Firefox ESR 31.x before 31.8 and 38.x before 38.1 enables excessive privileges for internal Workers, which might allow remote attackers to execute arbitrary code by leveraging a Same Origin Policy bypass.

Solution(s)

  • mozilla-firefox-esr-upgrade-31_8
  • mozilla-firefox-esr-upgrade-38_1
  • mozilla-firefox-upgrade-39_0

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;